## EDU.oswego.cs.dl.util.concurrent
Class ThreadFactoryUser

    java.lang.Object
      EDU.oswego.cs.dl.util.concurrent.ThreadFactoryUser

Direct Known Subclasses:
  ClockDaemon, PooledExecutor, QueuedExecutor, ThreadedExecutor, TimedCallable

    public class ThreadFactoryUser

extends java.lang.Object

Base class for Executors and related classes that rely on thread factories. Generally intended to be used as a mixin-style abstract class, but can also be used stand-alone.

[ Introduction to this package. ]

Nested Class Summary
`protected static class` `ThreadFactoryUser.DefaultThreadFactory`

Field Summary
`protected ThreadFactory` `threadFactory_`

Constructor Summary
`ThreadFactoryUser()`

Method Summary
`ThreadFactory` `getThreadFactory()` Get the factory for creating new threads.
`ThreadFactory` `setThreadFactory(ThreadFactory factory)` Set the factory for creating new threads.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### threadFactory_

    protected ThreadFactory threadFactory_

Constructor Detail

### ThreadFactoryUser

    public ThreadFactoryUser()

Method Detail

### setThreadFactory

    public ThreadFactory setThreadFactory(ThreadFactory factory)

  Set the factory for creating new threads. By default, new threads are created without any special priority, threadgroup, or status parameters. You can use a different factory to change the kind of Thread class used or its construction parameters.

  Parameters:
    `factory` - the factory to use
  Returns:
    the previous factory

### getThreadFactory

    public ThreadFactory getThreadFactory()

  Get the factory for creating new threads.